Bug 76065 - Web Inspector: styles sidebar rendering is broken
Summary: Web Inspector: styles sidebar rendering is broken
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (Deprecated) (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Alexander Pavlov (apavlov)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-11 08:50 PST by Pavel Feldman
Modified: 2012-01-16 09:24 PST (History)
12 users (show)

See Also:


Attachments
[IMAGE] See the rule link location. (10.64 KB, image/png)
2012-01-11 08:50 PST, Pavel Feldman
no flags Details
Patch (1.69 KB, patch)
2012-01-13 05:51 PST, Alexander Pavlov (apavlov)
no flags Details | Formatted Diff | Diff
Patch (2.08 KB, patch)
2012-01-13 06:58 PST, Alexander Pavlov (apavlov)
no flags Details | Formatted Diff | Diff
Patch (5.23 KB, patch)
2012-01-13 09:05 PST, Alexander Pavlov (apavlov)
pfeldman: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pavel Feldman 2012-01-11 08:50:10 PST
Created attachment 122035 [details]
[IMAGE] See the rule link location.

See the rule link location in the image attached.
Comment 1 Alexander Pavlov (apavlov) 2012-01-13 05:51:47 PST
Created attachment 122417 [details]
Patch
Comment 2 WebKit Review Bot 2012-01-13 06:17:44 PST
Comment on attachment 122417 [details]
Patch

Attachment 122417 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/11157584

New failing tests:
fast/table/multiple-captions-display.xhtml
inspector/styles/styles-change-node-while-editing.html
inspector/styles/styles-add-new-rule.html
inspector/styles/styles-add-blank-property.html
inspector/styles/css-live-edit.html
inspector/styles/styles-add-invalid-property.html
inspector/styles/commit-selector.html
inspector/elements/elements-panel-styles.html
inspector/styles/styles-commit-editing.html
inspector/styles/parse-utf8-bom.html
inspector/styles/styles-disable-inherited.html
inspector/styles/media-queries.html
inspector/styles/styles-computed-trace.html
inspector/styles/show-user-agent-styles.html
inspector/elements/elements-delete-inline-style.html
inspector/styles/styles-cancel-editing.html
Comment 3 Pavel Feldman 2012-01-13 06:55:21 PST
Comment on attachment 122417 [details]
Patch

r- for failing tests.
Comment 4 Alexander Pavlov (apavlov) 2012-01-13 06:58:17 PST
Created attachment 122426 [details]
Patch
Comment 5 Pavel Feldman 2012-01-13 07:14:21 PST
Comment on attachment 122426 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=122426&action=review

> Source/WebCore/inspector/front-end/elementsPanel.css:398
> +    overflow: hidden;

It is unclear why hiding the overflow would fix the layout. Could you explain?
Comment 6 Alexander Pavlov (apavlov) 2012-01-13 09:05:43 PST
Created attachment 122436 [details]
Patch
Comment 7 Alexander Pavlov (apavlov) 2012-01-16 09:24:50 PST
Committed r105070: <http://trac.webkit.org/changeset/105070>